package com.chinaweal.aiccs.aiccs.security.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 错误码枚举
 * @author lroyia
 * @since 2026/1/12 15:51
 **/
@Getter
@AllArgsConstructor
public enum ErrorCode {

    APP_KEY_INVALID("12002", "接口登录失败", "app_key无效"),
    APP_SECRET_INVALID("12003", "接口登录失败", "app_secret无效"),

    LOGIN_INFO_INVALID("12004", "接口登录失败", "登录信息无效"),

    ACCESS_TOKEN_INVALID("13000", "accessToken校验", "ACCESS_TOKEN无效"),
    PARAM_VALID_FAIL_0("14000", "参数校验失败", "案件编号不能为空"),
    PARAM_VALID_FAIL_1("14001", "参数校验失败", "案件名称不能为空"),
    PARAM_VALID_FAIL_2("14002", "参数校验失败", "案由不能为空"),
    PARAM_VALID_FAIL_3("14003", "参数校验失败", "违法行为不能为空"),
    PARAM_VALID_FAIL_4("14004", "参数校验失败", "处罚内容不能为空"),
    PARAM_VALID_FAIL_5("14005", "参数校验失败", "处罚决定日期不能为空"),
    PARAM_VALID_FAIL_6("14006", "参数校验失败", "处罚决定机关不能为空"),
    PARAM_VALID_FAIL_7("14007", "参数校验失败", "吊销市场主体清单不能为空"),
    PARAM_VALID_FAIL_8("14008", "参数校验失败", "吊销市场主体清单内容不能有空"),
    ;

    private final String code;

    private final String name;

    private final String message;
}
